org.jgroups.util

## Class Digest.Entry

- java.lang.Object
- - org.jgroups.util.Digest.Entry

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, Streamable

Enclosing class:
  Digest

    public static class Digest.Entry
    extends java.lang.Object
    implements java.io.Externalizable, Streamable

Class keeping track of the lowest and highest sequence numbers delivered, and the highest sequence numbers received, per member. This class is immutable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Digest.Entry()`
`Digest.Entry(Digest.Entry other)`
`Digest.Entry(long low_seqno, long highest_delivered_seqno)`
`Digest.Entry(long low_seqno, long highest_delivered_seqno, long highest_received_seqno)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`long` `getHighest()` Return the max of the highest delivered or highest received seqno
`long` `getHighestDeliveredSeqno()`
`long` `getHighestReceivedSeqno()`
`long` `getLow()`
`int` `hashCode()`
`void` `readExternal(java.io.ObjectInput in)`
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`static int` `size()`
`java.lang.String` `toString()`
`void` `writeExternal(java.io.ObjectOutput out)`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Digest.Entry

    public Digest.Entry()

#### Digest.Entry

    public Digest.Entry(long low_seqno,
                long highest_delivered_seqno,
                long highest_received_seqno)

#### Digest.Entry

    public Digest.Entry(long low_seqno,
                long highest_delivered_seqno)

#### Digest.Entry

    public Digest.Entry(Digest.Entry other)

### Method Detail

#### getLow

    public final long getLow()

#### getHighestDeliveredSeqno

    public final long getHighestDeliveredSeqno()

#### getHighestReceivedSeqno

    public final long getHighestReceivedSeqno()

#### getHighest

    public final long getHighest()

Return the max of the highest delivered or highest received seqno

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### size

    public static int size()

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Specified by:
  `writeTo` in interface `Streamable`
Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Specified by:
  `readFrom` in interface `Streamable`
Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`